[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.UnaryOp

Perform a unary mathematical operation

## Declaration

Source position: variants.pp line 206

`public procedure TCustomVariantType.UnaryOp(`
`var Right: tvardata;`
`const Operation: tvarop`
`); virtual;`

## Arguments

`Right` |  | Operand and result
`Operation` |  | Unary operation to perform

## Description

BinaryOp performs Operation on Right and stores the result of the result in Right. The TCustomVariantType implementation of this method raises an invalid operation error. Descendent classes must override this method.

## Errors

If a descendent does not override this, an invalid operation error is raised.

## See also

=TCustomVariantType.BinaryOp
=TCustomVariantType.CompareOp